.TH MKXLAX 1 "Release 5" "X Version 11"
.SH NAME
mkxlax - xlax and xterm startup program
.SH SYNOPSIS
.B "mkxlax"
[options] \fIsendString\fP [\fImore sendStrings\fP ...]
.SH DESCRIPTION
.PP
.I Mkxlax
is an perl script that will start up a number of xterms configured to work
together with xlax, and then start up an xlax to communicate with the
xterms.

.I Mkxlax
will start an xterm for each argument (send string) provided.
Each xterm will have it's name hint (the `-name' option) set to
xlax:sendString, where the sendString is the argument provided to
.I mkxlax.
The xterms will all be started with send events enabled (required for xlax).

The xterms will be arranged in a cascasde from upper left to lower right.
Other arrangements are possible based on the provided options.

.SH OPTIONS
.TP 8
.BI \-group " name"
An alternate prefix should be used with xlax instead of `xlax:'.  This
allows multiple groups of xlax windows to be run at the same time without
interfering with each other.
.TP 8
.B \-x
The starting x location of the first xterm
.TP 8
.B \-y
The starting y location of the first xterm
.TP 8
.B \-dx
The amount to add in x to the position of each additional xterm
.TP 8
.B \-dy
The amount to add in y to the position of each additional xterm
.TP 8
.B \-wrapx
If x is greater than this value, x wraps back around to it's starting value.
.TP 8
.B \-wrapy
If y is greater than this value, y wraps back around to it's starting value.
.TP 8
.B \-wrapdx
If a wrap occurs, add this value to x.  Typically this is used together with
`-wrapy', so that when y returns to zero, x is shifted.
.TP 8
.B \-wrapdy
If a wrap occurs, add this value to y.  Typically this is used together with
`-wrapx', so that when x returns to zero, y is shifted.
.TP 8
.B \--
Ends option processing (in case a sendString needs to start with a dash).

.PP
If no options are given, the defaults are
`-x 0 -y 0 -dx 20 -dy 50 -wrapy 750 -wrapdx 200'

It's possible to provide options that probably don't make any sense.  The
EXAMPLES section shows a few reasonable usages.

.SH EXAMPLES
This starts up five xterms with the default cascade positioning.
.RS
.\" .LP
.nf
example% mkxlax host1 host2 host3 host4 host5
\f1
.fi
.RE

If you run more than one group of
.I mkxlax
windows, you need different
group names, otherwise later xlaxes will find windows from earlier
.I mkxlax
commands.
.RS
.\" .LP
.nf
example% mkxlax -group foo: host1 host2 host3
\f1
.fi
.RE

To lay out tiled, by row:
.RS
.\" .LP
.nf
example% mkxlax -dx 400 -wrapx 1000 -wrapdy 300 host1 host2 ...
\f1
.fi
.RE

To lay out tiled, by column:
.RS
.\" .LP
.nf
example% mkxlax -dy 300 -wrapy 700 -wrapdx 400 host1 host2 ...
\f1
.fi
.RE

.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
To get default host and display number.

.SH BUGS
Probably something, but nothing that comes to mind.
.SH SEE ALSO
xterm(1), xlax(1)
.SH COPYRIGHT
Copyright 2007, Thomas A. Fine
.br
